Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deFileVirtual Class Reference

`#include <deFile_priv.hpp>`

Inheritance diagram for deFileVirtual:

[legend]
Collaboration diagram for deFileVirtual:

[legend]
List of all members.

## Public Member Functions
| ~deFileVirtual ()
int | Release ()
void * | GetInterface (IdeFile::interface_t i)
deBoolean | Open (IdeFileSystem *BaseFS, char *Filename, long OpenFlags)
| open a file
deBoolean | Close ()
| close an open file
long | Read (void *Buffer, long Length)
| read a file
long | Write (void *Buffer, long Length)
| write a file
long | GetPosition ()
| get file position
long | SetPosition (long NewPosition, IdeFile::Seek SeekType)
| set file position
long | GetSize ()
| get a file's size
deBoolean | SetSize (long NewSize)
| set a file's length
DWORD | SetSize (long NewSize, deFSPROGRESS *StatusCallback)
s64 | GetTime ()
| get a file's date/time
deBoolean | SetTime (s64 Time)
| set a file's date/time
deBoolean | GetProperties (deFileProperties *Properties)
| get current file's properties
long | GetOpenFlags ()
| get the open flags
## Protected Member Functions
| deFileVirtual ()
## Protected Attributes
deFSVirtual * | priv_BaseFS
deFSVirtual::VirtualFileEntry * | priv_CurrentFile
long | priv_FileFlags
long | priv_CurrentPosition
## Friends
class | deFSVirtual

## Constructor & Destructor Documentation

deFileVirtual::deFileVirtual | ( |  | ) | `[protected]`

deFileVirtual::~deFileVirtual | ( |  | ) |

## Member Function Documentation

deBoolean deFileVirtual::Close | ( |  | ) | `[virtual]`

| close an open file Reimplemented from deFile.

void * deFileVirtual::GetInterface | ( | IdeFile::interface_t | i | ) | `[virtual]`

| Reimplemented from deFile.

long deFileVirtual::GetOpenFlags | ( |  | ) | `[virtual]`

| get the open flags Reimplemented from deFile.

long deFileVirtual::GetPosition | ( |  | ) | `[virtual]`

| get file position Reimplemented from deFile.

deBoolean deFileVirtual::GetProperties | ( | deFileProperties * | Properties | ) | `[virtual]`

| get current file's properties Reimplemented from deFile.

long deFileVirtual::GetSize | ( |  | ) | `[virtual]`

| get a file's size Reimplemented from deFile.

s64 deFileVirtual::GetTime | ( |  | ) | `[virtual]`

| get a file's date/time Reimplemented from deFile.

deBoolean deFileVirtual::Open | ( | IdeFileSystem * | BaseFS,
|  | char * | Filename,
|  | long | OpenFlags
| ) | `[virtual]`

| open a file Reimplemented from deFile.

long deFileVirtual::Read | ( | void * | Buffer,
|  | long | Length
| ) | `[virtual]`

| read a file Reimplemented from deFile.

int deFileVirtual::Release | ( |  | ) | `[virtual]`

| Reimplemented from deFile.

long deFileVirtual::SetPosition | ( | long | NewPosition,
|  | IdeFile::Seek | SeekType
| ) | `[virtual]`

| set file position Reimplemented from deFile.

DWORD deFileVirtual::SetSize | ( | long | NewSize,
|  | deFSPROGRESS * | StatusCallback
| ) |

deBoolean deFileVirtual::SetSize | ( | long | NewSize | ) | `[virtual]`

| set a file's length Reimplemented from deFile.

deBoolean deFileVirtual::SetTime | ( | s64 | Time | ) | `[virtual]`

| set a file's date/time Reimplemented from deFile.

long deFileVirtual::Write | ( | void * | Buffer,
|  | long | Length
| ) | `[virtual]`

| write a file Reimplemented from deFile.

## Friends And Related Function Documentation

friend class deFSVirtual`[friend]`

## Member Data Documentation

deFSVirtual* deFileVirtual::priv_BaseFS`[protected]`

deFSVirtual::VirtualFileEntry* deFileVirtual::priv_CurrentFile`[protected]`

long deFileVirtual::priv_CurrentPosition`[protected]`

long deFileVirtual::priv_FileFlags`[protected]`

The documentation for this class was generated from the following files:

- deFile_priv.hpp
- deFileVirtual.cpp